package main

import (
	"log"
	"net/http"
	"time"

	"git.freecumextremist.com/grumbulon/pomme/frontend"
	"git.freecumextremist.com/grumbulon/pomme/internal/api"
	"github.com/go-chi/chi/v5"
	"github.com/go-chi/chi/v5/middleware"
)

func main() {
	pomme := chi.NewRouter()
	pomme.Use(middleware.Logger)
	pomme.Use(middleware.GetHead)
	pomme.Use(middleware.Recoverer)

	pomme.Mount("/", frontend.SvelteKitHandler("/"))
	pomme.Mount("/api", api.API())

	log.Println("\t-------------------------------------")
	log.Println("\t\tRunning on port 3000")
	log.Println("\t-------------------------------------")

	s := &http.Server{
		ReadTimeout:  3 * time.Second,
		WriteTimeout: 15 * time.Second,
		Addr:         ":3000",
		Handler:      pomme,
	}

	log.Fatal(s.ListenAndServe())
}
